> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/usage-v-1/get-usage-tag/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Get Usage by Tag GET https://api.mezmo.com/v1/usage/tags/{name} Gets the aggregated usage information for a tag matching the name provided as a path parameter, during a time period. Returns null when not found. Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/usage-v-1/get-usage-tag ## Authentication - `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token ' ``` - `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place ## Request ### Path parameters - `name` (string, required) — The name of the app from which to get the aggregated usage data ### Query parameters - `from` (integer, required) — Start date. Set as UNIX timestamp in seconds. - `to` (integer, required) — End date. Set as UNIX timestamp in seconds. ## Response ### 200 OK - `map from string to V1UsageTagsNameGetResponsesContentApplicationJsonSchema` ## Types ### V1UsageTagsNameGetResponsesContentApplicationJsonSchema ## Examples **Request** ```json {} ``` **Response** ```json { "payment-service": { "INFO": 45.3, "WARN": 3.2, "ERROR": 1.1, "request_latency_ms": 120.5, "error_rate_5xx": 0.02, "hosts": { "logs.acme-corp.io": 30.1, "telemetry.acme-corp.io": 19.5 } }, "auth-gateway": { "INFO": 60.7, "WARN": 2.5, "ERROR": 0.5, "request_latency_ms": 95.7, "error_rate_5xx": 0.01, "hosts": { "logs.acme-corp.io": 40.2, "telemetry.acme-corp.io": 23.5 } }, "order-processor": { "INFO": 50, "WARN": 4, "ERROR": 2, "request_latency_ms": 150.3, "error_rate_5xx": 0.03, "hosts": { "logs.acme-corp.io": 35, "telemetry.acme-corp.io": 21 } } } ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/usage/tags/name" querystring = {"from":"1","to":"1"} payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/usage/tags/name?from=1&to=1'; const options = { method: 'GET', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/usage/tags/name?from=1&to=1" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/usage/tags/name?from=1&to=1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mezmo.com/v1/usage/tags/name?from=1&to=1") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.mezmo.com/v1/usage/tags/name?from=1&to=1', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/usage/tags/name?from=1&to=1"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/usage/tags/name?from=1&to=1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```